Package Details: pulseaudio-dlna 0.5.2.r152.gb0db813-6

Git Clone URL: https://aur.archlinux.org/pulseaudio-dlna.git (read-only, click to copy)
Package Base: pulseaudio-dlna
Description: Small DLNA server which brings DLNA/UPnP support to PulseAudio
Upstream URL: https://github.com/masmu/pulseaudio-dlna
Keywords: dlna multimedia pulseaudio upnp
Licenses: GPL3
Submitter: yegorius
Maintainer: polyzen
Last Packager: polyzen
Votes: 63
Popularity: 0.59
First Submitted: 2015-04-11 23:54 (UTC)
Last Updated: 2022-05-10 16:31 (UTC)

Latest Comments

SonnyC commented on 2022-06-28 09:51 (UTC) (edited on 2022-06-28 09:52 (UTC) by SonnyC)

Got an issue, ince I think update of pychromecast:

[2022-06-28T09:21:05+0200] [ALPM] upgraded python-pychromecast (12.1.3-1 -> 12.1.4-1)

running pulseaudio-dlna get in error :

pkg_resources.DistributionNotFound: The 'pychromecast>=2.3.0' distribution was not found and is required by pulseaudio-dlna

python-pychromecast6 is installed and reinstalled.

simona commented on 2022-05-16 10:14 (UTC)

Installing python-pychromecast6 will remove: python-pychromecast

hansen9984 commented on 2022-05-16 09:29 (UTC)

polyzen, python-gobject is installed and I didn't deinstall it. pulseaudio-dlna was working until an update happened. I am not sure when or what was updated, but in my opinion every dependency is available. I now have reinstalled pulseaudio-dlna together with python-gobject and now it works. Thank you for the hint!

polyzen commented on 2022-05-10 19:11 (UTC)

willemw, fixes pushed, thank you.

hansen9984, seems like you somehow installed this package without installing python-gobject?

willemw commented on 2022-05-10 16:18 (UTC)

Is should be: arch=('any').

The 'wait_for_chromecast.patch' checksum is incorrect.

hansen9984 commented on 2022-05-10 16:03 (UTC)

hi, when I try to start pulseaudio-dlna it says:

Traceback (most recent call last): File "/usr/bin/pulseaudio-dlna", line 33, in <module> sys.exit(load_entry_point('pulseaudio-dlna==0.6.3', 'console_scripts', 'pulseaudio-dlna')()) File "/usr/bin/pulseaudio-dlna", line 25, in importlib_load_entry_point return next(matches).load() File "/usr/lib/python3.10/importlib/metadata/init.py", line 171, in load module = import_module(match.group('module')) File "/usr/lib/python3.10/importlib/init.py", line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 1050, in _gcd_import File "<frozen importlib._bootstrap>", line 1027, in _find_and_load File "<frozen importlib._bootstrap>", line 992, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed File "<frozen importlib._bootstrap>", line 1050, in _gcd_import File "<frozen importlib._bootstrap>", line 1027, in _find_and_load File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 688, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 883, in exec_module File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed File "/usr/lib/python3.10/site-packages/pulseaudio_dlna/init.py", line 19, in <module> import pkg_resources File "/usr/lib/python3.10/site-packages/pkg_resources/init.py", line 3266, in <module> def _initialize_master_working_set(): File "/usr/lib/python3.10/site-packages/pkg_resources/init.py", line 3240, in _call_aside f(args, *kwargs) File "/usr/lib/python3.10/site-packages/pkg_resources/init.py", line 3278, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.10/site-packages/pkg_resources/init.py", line 573, in _build_master ws.require(requires) File "/usr/lib/python3.10/site-packages/pkg_resources/init.py", line 891, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.10/site-packages/pkg_resources/init.py", line 777, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'gobject' distribution was not found and is required by pulseaudio-dlna

all dependencies were installed, also gobject of course. any idea?

zachalexy commented on 2021-09-03 17:13 (UTC)

Ahha, great! Removed the IgnorePkg entry, happily streaming...thx, Zach

polyzen commented on 2021-09-03 17:08 (UTC)

The package has already been fixed, feel free to upgrade to python-pyroute2 0.5.19-3.

zachalexy commented on 2021-09-03 17:05 (UTC)

Downgraded for now. Very happy still with pulseaudio-dlna. Streaming Spotify to a dated Sony low-end Hi-Fi device. Low-end but my music! Thx polyzen!

simona commented on 2021-09-03 06:59 (UTC)

use version x python3 is a problem? any disadvantages?

polyzen commented on 2021-09-03 04:19 (UTC)

You can downgrade to python-pyroute2 0.5.19-1 until that package is fixed.

Bazon commented on 2021-09-02 14:19 (UTC) (edited on 2021-09-02 14:25 (UTC) by Bazon)

Since recent update (python-something, I suppose?):

Traceback (most recent call last): File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 568, in _build_master ws.require(requires) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 886, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 777, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (pyroute2 unknown (/usr/lib/python3.9/site-packages), Requirement.parse('pyroute2>=0.3.5'), {'pulseaudio-dlna'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/pulseaudio-dlna", line 33, in <module> sys.exit(load_entry_point('pulseaudio-dlna==0.6.0', 'console_scripts', 'pulseaudio-dlna')()) File "/usr/bin/pulseaudio-dlna", line 25, in importlib_load_entry_point return next(matches).load() File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load module = import_module(match.group('module')) File "/usr/lib/python3.9/importlib/init.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 1030, in _gcd_import File "<frozen importlib._bootstrap>", line 1007, in _find_and_load File "<frozen importlib._bootstrap>", line 972, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed File "<frozen importlib._bootstrap>", line 1030, in _gcd_import File "<frozen importlib._bootstrap>", line 1007, in _find_and_load File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 680, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 850, in exec_module File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed File "/usr/lib/python3.9/site-packages/pulseaudio_dlna/init.py", line 19, in <module> import pkg_resources File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 3243, in <module> def _initialize_master_working_set(): File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 3226, in _call_aside f(args, *kwargs) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 3255, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 570, in _build_master return cls._build_from_requirements(requires) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 583, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 772, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'pyroute2>=0.3.5' distribution was not found and is required by pulseaudio-dlna

P.S.: No problem with https://aur.archlinux.org/packages/pulseaudio-dlna-python3/ , so maybe this is a useful workaround for someone....

simona commented on 2021-03-18 23:53 (UTC)

now ok for dbus problem but the error:
-> Installing python-pychromecast6 will remove: python-pychromecast, python-pychromecast (python-pychromecast6)
python-pychromecast can't be used?

simona commented on 2021-03-18 09:39 (UTC)

python2-dbus 1.2.16-3 has been removed from the [extra] repository.

maderios commented on 2021-03-06 15:57 (UTC)

@yannleretaille Why don't you add this fork as a new Aur package?

yannleretaille commented on 2021-03-05 21:12 (UTC) (edited on 2021-03-17 11:36 (UTC) by yannleretaille)

There's a new fork available that adds proper python 3 support, uses the newer version of pychromecast and includes various other fixes:

https://github.com/Cygn/pulseaudio-dlna

Here's a PKGBUILD for the latest release (0.6.1):

https://gist.github.com/yannleretaille/1a45e6d55f7ed3833f9426c2fea29f2d

# Maintainer: Daniel M. Capella <polyzen@archlinux.org>
# Contributor: ZaZam <zazaamm ät gmail döt com>
# Contributor: Yegorius <yegorius@domic.us>

pkgname=pulseaudio-dlna
pkgver=0.6.1
pkgrel=1
pkgdesc='Small DLNA server which brings DLNA/UPnP support to PulseAudio'
arch=('x86_64')
url=https://github.com/Cygn/pulseaudio-dlna/
license=('GPL3')
depends=('python-chardet' 'python-dbus' 'python-docopt' 'python-gobject'
         'python-lxml' 'python-netifaces' 'python-notify2' 'python-psutil'
         'python-pychromecast' 'python-pyroute2' 'python-requests'
         'python-setproctitle' 'python-protobuf' 'python-setuptools'
         'python-zeroconf' 'python-urllib3')
makedepends=('git')
optdepends=('faac: AAC transcoding support'
            'ffmpeg: multiple formats support'
            'flac: FLAC transcoding support'
            'lame: MP3 transcoding support'
            'opus-tools: OPUS transcoding support'
            'sox: WAV transcoding support'
            'vorbis-tools: OGG transcoding support')
source=('https://github.com/Cygn/pulseaudio-dlna/archive/0.6.1.tar.gz')
sha256sums=('497743700377389ae03ffae2d8fbf8c49ed8ec219d53fd8ca7f0aea0d464b15d')

prepare() {
  cd "$pkgname-$pkgver"
  sed -i '/dbus-python/d' setup.py
}

build() {
  cd "$pkgname-$pkgver"
  python setup.py build
}

package() {
  cd "$pkgname-$pkgver"
  python setup.py build --build-lib=build/python \
                  install --root="$pkgdir" --optimize=1

}

# vim:set ts=2 sw=2 et:

scrouthtv commented on 2021-01-16 07:19 (UTC)

Here's a user unit file if someone needs it. --port 0 makes it use the first "free" port [Unit] Description=PulseAudio DLNA client

[Service] ExecStart=/usr/bin/pulseaudio-dlna --port 0

[Install] WantedBy=multi-user.target

senorsnor commented on 2020-12-07 21:07 (UTC) (edited on 2020-12-07 21:10 (UTC) by senorsnor)

Apparently this is caused by a change in Python 3.9. The maintainer of python-pychromecast6 just added a patch to that package and now everything works again. woohoo! :-)

senorsnor commented on 2020-12-06 17:27 (UTC) (edited on 2020-12-06 17:30 (UTC) by senorsnor)

After running fine for a long time, today I had to reinstall this package because a lot of other python libs were updated. Including python-pychromecast6 and python-casttube. So all dependencies are up to date. Now I cannot stream to chromecast anymore because, the following error appears:

12-06 18:14:45 pulseaudio_dlna.pulseaudio                     INFO     
Instructing the device "Miauw (Chromecast)" to play ...
12-06 18:14:45 pychromecast                                   INFO     
Querying device status
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/pulseaudio_dlna/plugins/chromecast/renderer.py", line 75, in play
    chromecast = self._create_pychromecast()
  File "/usr/lib/python3.9/site-packages/pulseaudio_dlna/plugins/chromecast/renderer.py", line 68, in _create_pychromecast
    chromecast.wait()
  File "/usr/lib/python3.9/site-packages/pychromecast/__init__.py", line 446, in wait
    if not self.socket_client.isAlive():
AttributeError: 'SocketClient' object has no attribute 'isAlive'
12-06 18:14:45 pulseaudio_dlna.pulseaudio                     ERROR    The device "Miauw (Chromecast)" failed to play! (500) - Unknown exception.

Does seem like a version mismatch somewhere, does anyone have an idea?

polyzen commented on 2020-12-02 21:19 (UTC)

funk-electric, install https://aur.archlinux.org/packages/python-pychromecast6/ to fulfill the dep.

funk-electric commented on 2020-12-02 21:13 (UTC) (edited on 2020-12-02 21:19 (UTC) by funk-electric)

I tried to install it on the current arch linux version (2th of december 2020)

==> Using [aur] repository -> pulseaudio-dlna-python3-git: (none) -> 0.5.2.r152.gb0db813-2 -> python-casttube: (none) -> 0.2.1-2 -> python-pychromecast: (none) -> 7.5.1-1 ==> Retrieving package files From https://aur.archlinux.org/python-casttube = [up to date] master -> origin/master From https://aur.archlinux.org/python-pychromecast = [up to date] master -> origin/master From https://aur.archlinux.org/pulseaudio-dlna-python3-git = [up to date] master -> origin/master

and it ends up with:

 invalid node: python-pychromecast 7.5.1 (required: <7)

Unfortunately I have no idea how i could fix this? Has anyone an idea how i can get it running?

LibreFreq commented on 2020-11-25 10:24 (UTC)

It could be that this is incorrectly tagged, but the correct version on the python3 branch is 0.6.0.r739.b0db813.

https://github.com/masmu/pulseaudio-dlna/blob/python3/setup.py#L37

polyzen commented on 2020-11-24 01:13 (UTC)

There is no 0.6.0 tag. 739 is the total number of commits, which would be useful if there were no tags.

Check out https://wiki.archlinux.org/index.php/VCS_package_guidelines#The_pkgver.28.29_function

LibreFreq commented on 2020-11-22 11:45 (UTC)

The package version is wrong. In my opinion it should be 0.6.0.r739.b0db813. Try something like this in pkgver():
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"

https://github.com/masmu/pulseaudio-dlna/tree/python3

daurnimator commented on 2020-10-03 05:52 (UTC) (edited on 2020-10-03 06:03 (UTC) by daurnimator)

Attempting to start pulseaudio-dlna I get:

pkg_resources.DistributionNotFound: The 'notify2>=0.3' distribution was not found and is required by pulseaudio-dlna

I had to manually install python-notify2 for some reason... (seems that it was just moved from AUR => community so things might be out of sync?)

maderios commented on 2020-09-27 13:46 (UTC)

We need 'python-pychromecast6' dependency, not 'python-pychromecast<7', otherwise, pacman tries to install 'python-pychromecast' (7)

Wild_Penguin commented on 2020-09-18 07:10 (UTC) (edited on 2020-09-18 07:36 (UTC) by Wild_Penguin)

Oops, I may be partner-in-crime, as you can see I've proposed that change ;-)

I didn't mean it literally, or I was thinking in Gentoo (don't remember which). Arch does not have slots as Gentoo does, so python-pychromecast6 and python-pychromecast are though as completely different packages. Although python-pychromecast6 provides python-pychromecast, the PKGBUILD version match search does not propagate to package providing some other, so makepkg does not find it (ot, at least looks like it).

Could be a sensible feature request for makepkg in the bugzilla...

EDIT: Actually it seems like, according to wiki, this should be fixed in the provides field of python-pychromecast6. See: https://wiki.archlinux.org/index.php/PKGBUILD#provides . So that version reference is valid, but this PKGBUILD still fails since python-pychromecast6 does not mention version in it's provides field. Seems a bit awkward, but it does make sense after all, as the pkgver of some alternative implementation of package/feature Y in package X might have nothing to do with the versioning of the package X it is implemented in...

veikok commented on 2020-09-18 06:03 (UTC)

Package doesn't build at the moment since the following package is unavailable: 'python-pychromecast<7'. Replacing it in the PKGBUILD with 'python-pychromecast6' fixes the problem

Wild_Penguin commented on 2020-09-06 18:23 (UTC) (edited on 2020-09-07 12:59 (UTC) by Wild_Penguin)

Indeed python-pychromecast6 does work.

Maybe the dependencies in this PKGBUILD should be changed so that it depends on python-pychromecast<7? I can see that the 7 series appeared in AUR in June... or, perhaps pulseaudio-dlna (upstream) will catch up soon.

senorsnor commented on 2020-09-06 14:58 (UTC)

@Wild_Penguin You could try python-pychromecast6 instead of python-pychromecast. There have been major breaking changes in python-pychromecast 7. I never updated pychromecast for that reason and am still on version 5.0 and it works great.

Wild_Penguin commented on 2020-09-05 15:27 (UTC) (edited on 2020-09-05 16:02 (UTC) by Wild_Penguin)

Does not seem to work for me atm for streaming to Chromecast, does this work for others?

Whenever I try to stream my audio (a single application or all audio on the computer), I get this:

09-05 18:21:39 pulseaudio_dlna.pulseaudio                     INFO     Instructing the device "Olohuone (Chromecast)" to play ...
09-05 18:21:39 pychromecast                                   INFO     Querying device status
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/chromecast/renderer.py", line 75, in play
    chromecast = self._create_pychromecast()
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/chromecast/renderer.py", line 66, in _create_pychromecast
    chromecast = pychromecast._get_chromecast_from_host(
  File "/usr/lib/python3.8/site-packages/pychromecast/__init__.py", line 53, in get_chromecast_from_host
    return Chromecast(
  File "/usr/lib/python3.8/site-packages/pychromecast/__init__.py", line 298, in __init__
    dev_status = get_device_status(self.host, services, zconf)
  File "/usr/lib/python3.8/site-packages/pychromecast/dial.py", line 75, in get_device_status
    status = _get_status(host, services, zconf, "/setup/eureka_info?options=detail")
  File "/usr/lib/python3.8/site-packages/pychromecast/dial.py", line 41, in _get_status
    for service in services.copy():
AttributeError: 'NoneType' object has no attribute 'copy'
09-05 18:21:39 pulseaudio_dlna.pulseaudio                     ERROR    The device "Olohuone (Chromecast)" failed to play! (500) - Unknown exception.

senorsnor commented on 2020-04-18 20:55 (UTC)

@polyzen: I just tested that fix and it solves the issue for me indeed! Thanks a lot.

polyzen commented on 2020-04-14 22:16 (UTC)

If this fixes the issue for Chromecast users, I could add it to the package: https://github.com/masmu/pulseaudio-dlna/pull/398/commits/d46f419abd5105e48342ee45219cbf557d342af4

bubuntux commented on 2020-03-05 03:01 (UTC)

i tried downgrading to pychromecast to 2.3.0 but still getting issue with Chromecast

polyzen commented on 2020-02-03 05:36 (UTC)

Thank you, Le_Birlante. Please report this upstream: https://github.com/masmu/pulseaudio-dlna/issues

Le_Birlante commented on 2020-02-01 15:50 (UTC) (edited on 2020-02-02 20:01 (UTC) by polyzen)

Came here from good 'old python2-esque pulseaudio-dlna. It mostly works ok for my devices: it's able to detect and stream to my smart TVs (two samsungs and one Pana), and a Beoplay A9 too.

However, this python-3 version fails while trying to detect a Maranzt AV7702 a/v receiver, a device which worked flawlessly with the old phyton2 pulseaudio-dlna version.

If it's of some help, here is the error trace. This happens whenever I run pulseaudio-dlna with the Marantz turned on (if the Marantz is turned off, no errors will appear):

--------------------------------------------------
02-01 16:33:59 pulseaudio_dlna.application                    INFO     Using version: 0.6.0

02-01 16:33:59 pulseaudio_dlna.application                    INFO     Binding to *:8080

02-01 16:33:59 pulseaudio_dlna.application                    INFO     Starting discovery ...

02-01 16:33:59 pulseaudio_dlna.plugins.chromecast             INFO     ChromecastPlugin.discover()

02-01 16:33:59 pychromecast                                   INFO     Querying device status

Exception in thread Thread-3:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/pyupnpv2/__init__.py", line 716, in from_xml

    xml_root = lxml.etree.fromstring(xml)

  File "src/lxml/etree.pyx", line 3236, in lxml.etree.fromstring

  File "src/lxml/parser.pxi", line 1876, in lxml.etree._parseMemoryDocument

  File "src/lxml/parser.pxi", line 1764, in lxml.etree._parseDoc

  File "src/lxml/parser.pxi", line 1127, in lxml.etree._BaseParser._parseDoc

  File "src/lxml/parser.pxi", line 601, in lxml.etree._ParserContext._handleParseResultDoc

  File "src/lxml/parser.pxi", line 711, in lxml.etree._handleParseResult

  File "src/lxml/parser.pxi", line 640, in lxml.etree._raiseParseError

  File "<string>", line 4

lxml.etree.XMLSyntaxError: xmlns:ms: ' urn:microsoft-com:wmc-1-0' is not a valid URI, line 4, column 40


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/threading.py", line 932, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.8/threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/__init__.py", line 53, in launch_discover
    discover.search(ssdp_ttl=ttl)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/ssdp/discover.py", line 66, in search
    self._search(self.host or '', ssdp_ttl, ssdp_mx, ssdp_amount)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/ssdp/discover.py", line 111, in _search
    self.cb_on_device_response(header, address)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/__init__.py", line 36, in wrapper
    device = f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/__init__.py", line 83, in _on_device_response
    return DLNAMediaRendererFactory.from_header(header)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/renderer.py", line 290, in from_header
    upnp_device = pyupnpv2.UpnpMediaRendererFactory.from_header(header)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/pyupnpv2/__init__.py", line 734, in from_header
    return cls.from_url(header['location'])
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/pyupnpv2/__init__.py", line 651, in from_url
    return cls.from_xml(url, response.content)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/pyupnpv2/__init__.py", line 720, in from_xml
    xml = byto.repair_xml(xml)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/pyupnpv2/byto.py", line 38, in repair_xml
    bytes = re.sub(
  File "/usr/lib/python3.8/re.py", line 208, in sub
    return _compile(pattern, flags).sub(repl, string, count)
TypeError: cannot use a string pattern on a bytes-like object

---------------------------------------------

thanks,

polyzen commented on 2020-01-23 05:17 (UTC)

Missing dep: python-casttube

python-casttube is a dependency of python-pychromecast.

Also, you should add: provides=('pulseaudio-dlna') to the PKGBUILD

Thank you.

viperpaulo commented on 2020-01-17 07:10 (UTC) (edited on 2020-01-17 07:12 (UTC) by viperpaulo)

Missing dep: python-casttube Also, you should add: provides=('pulseaudio-dlna') to the PKGBUILD

zachalexy commented on 2020-01-11 17:59 (UTC)

Very happy with this package! I'll switch to the python-3-git version for now. Hope masmu and/or other developers keep this package alive for a long time.

polyzen commented on 2020-01-10 03:06 (UTC) (edited on 2020-04-19 02:49 (UTC) by polyzen)

According to this comment, Chromecast streaming works if you downgrade pychromecast to 2.3.0.

damir commented on 2020-01-01 13:22 (UTC)

works great - switched from pulseaudio-dlna which stopped working because of python2 issues. one thing: i had to re-install python-notify2 ... oh, python, my old friend... ahh :)

polyzen commented on 2019-12-23 10:47 (UTC)

Don't have a Chromecast myself. Either support for Chromecast is broken on this branch or there's a bug in pychromecast. You may want to check if your repo and AUR packages are all up-to-date.

senorsnor commented on 2019-12-22 19:12 (UTC) (edited on 2019-12-22 20:08 (UTC) by senorsnor)

Just installed this but cannot get it to stream to my two chromecast devices (one regular, one chromecast audio). The debug log doesn't help me, but I'm not an expert of course. The sinks for the chromecast devices get added, but when I select any of them the audio stream switches back to the onboard audio with the message

"12-22 20:04:37 pulseaudio_dlna.pulseaudio ERROR The device "TV (Chromecast)" failed to play! (500) - Chromecast 192.168.2.3:8009 is connecting..."

Before I start diving into this, since this is a git version: is streaming to chromecast even supposed to be working with this version? Do others have this working?

(btw, in the end I reinstalled the pulseaudio-dlna package which works just fine, so it does seem to be something with this version?)

polyzen commented on 2019-12-17 08:08 (UTC) (edited on 2020-01-23 05:37 (UTC) by polyzen)

Please do not flag this package out-of-date. There's nothing wrong with the package itself.

In the meantime, you can use https://aur.archlinux.org/packages/pulseaudio-dlna-python3-git/

polyzen commented on 2019-12-15 10:37 (UTC) (edited on 2020-01-23 05:37 (UTC) by polyzen)

dflemstr, thanks for the heads up! Unfortunately this means using a branch that has not yet been merged, but I've been using that branch without any real issues for quite some time.

dflemstr commented on 2019-12-15 10:29 (UTC)

This package depends on python2-protobuf, which no longer exists. Might be an idea to migrate to python3 (as some other distros/upstream seems to have done)?

polyzen commented on 2019-05-18 22:12 (UTC)

Thanks for the heads up. I prefer to leave it to makepkg -A for other architectures.

ckdo commented on 2019-05-18 18:02 (UTC)

Hello,

I think you can safely add arm architectures in PKGBUILD, I've successfully built it on armv7h for my cubox

trustin commented on 2018-07-26 02:16 (UTC)

Would it be possible to make the --port option configurable? It currently uses 8080 but that port number is used very often for testing by developers. Alternatively, it would be nice if it is changed to other port number.

zuzavo commented on 2018-05-21 21:14 (UTC) (edited on 2018-05-21 21:15 (UTC) by zuzavo)

I have been without using pulseaudio-dlna for a while. Today I have detected the problem with zeroconf and I have solved it in the following way, or at least works for me. I have removed pulseadio-dlna completely to reinstall it, but this time I have edited it to eliminate the python2-zeroconf dependency. When it have finished with pulseaudio-dlna, I have installed python2-zeroconf as a separate package and all works perfectly: Results in pastebind, $ systemctl start --user pulseaudio-dlna $ systemctl status --user pulseaudio-dlna.

pulseaudio-dlna.service - DLNA/UPnP streaming server for PulseAudio Loaded: loaded (/usr/lib/systemd/user/pulseaudio-dlna.service; disabled; vendor preset: enabled) Active: active (running) since Mon 2018-05-21 22:48:01 CEST; 3s ago Main PID: 1033 (pulseaudio-dlna) CGroup: /user.slice/user-1000.slice/user@1000.service/pulseaudio-dlna.service ├─1033 pulseaudio-dlna ├─1042 /usr/bin/python2 /usr/bin/pulseaudio-dlna ├─1046 stream_server ├─1047 pulse_watcher └─1050 ssdp_listener ............. .............No python errors

ZaZam commented on 2018-03-25 11:40 (UTC) (edited on 2018-03-25 12:20 (UTC) by ZaZam)

@senorsnor That's because python-zeroconf dropped support for Python 2 at version 0.20.0. You need to downgrade python2-zeroconf to 0.19.1.

senorsnor commented on 2018-03-21 18:48 (UTC) (edited on 2018-03-21 19:04 (UTC) by senorsnor)

As of recently my pulseaudio-dlna doesn't start anymore, with the following error message related to zeroconf. I don't know what zeroconf is exactly, but I notice that the dependency python2-zeroconf is no longer available.

Exception in thread zeroconf-Engine: Traceback (most recent call last): File "/usr/lib/python2.7/threading.py", line 801, in bootstrap_inner self.run() File "/usr/lib/python2.7/site-packages/zeroconf.py", line 1133, in run reader.handle_read(socket_) File "/usr/lib/python2.7/site-packages/zeroconf.py", line 1175, in handle_read msg = DNSIncoming(data) File "/usr/lib/python2.7/site-packages/zeroconf.py", line 644, in init__ self.read_questions() File "/usr/lib/python2.7/site-packages/zeroconf.py", line 667, in read_questions name = self.read_name() File "/usr/lib/python2.7/site-packages/zeroconf.py", line 756, in read_name t = length & 0xC0 TypeError: unsupported operand type(s) for &: 'str' and 'int'

HarlemSquirrel commented on 2018-03-06 19:37 (UTC)

I created this unit file which seems to be working for me.

https://gist.github.com/HarlemSquirrel/a3e838f76ac1becb95591897c460a968

ZaZam commented on 2017-10-09 16:35 (UTC)

I adopted this package mainly to add the python2-enum34 dependency as it was needed. This is the first ever package I maintain. All kind of help is welcome.

yegorius commented on 2017-01-23 14:17 (UTC)

@stes This package follows stable releases only. The latest release version in source repository is still 0.5.2

stes commented on 2017-01-13 20:36 (UTC)

The package did not seem to work with my Chromecast Audio. pulseaudio-dlna-git did the job.

yegorius commented on 2016-12-30 16:35 (UTC)

New maintainer wanted. Anyone?

yegorius commented on 2016-08-04 16:54 (UTC)

@everybody: dbus-glib is optional for python2-dbus, should we really add dbus-glib as a dependency here?

kevincox commented on 2016-08-04 12:53 (UTC)

I don't know if it has but I was thinking it would be nice to have a service file as well. I want it to start on boot.

yegorius commented on 2016-08-04 09:01 (UTC)

@jro Has it ever been there?

jro commented on 2016-08-03 14:37 (UTC)

There is no service file shipped with this package. Has the systemd service been removed again?

kdb424 commented on 2016-06-01 05:35 (UTC) (edited on 2016-06-01 16:09 (UTC) by kdb424)

Anyone else having problems with getting sound? I can cast from chrome and my phone so I know it works, and I get the playing sound on my speakers, but no other audio other than connect and disconnect. I also get an error when trying to load the module they suggest on the wiki. Looking for input, and pulse works for most everything else. Thanks. > pacmd load-module module-dbus-protocol Module load failed. EDIT: I had 2 ethernet connections and it was trying to use the wrong one. Sorry, please disregard.

CarstenF commented on 2016-04-28 15:49 (UTC)

Please add "dbus-glib" to the dependecies. Without it does not work. Thanks.

freijon commented on 2016-04-01 17:04 (UTC)

Since development is so fast paced at the moment I created the package 'pulseaudio-dlna-git' which also incorporates the systemd service 'pulseaudio-dlna' provided by sim590

sim590 commented on 2016-02-20 19:35 (UTC) (edited on 2016-02-20 22:31 (UTC) by sim590)

I have a patch adding a systemd service file. This is kind of natural thing to add since the most of the user will want this program to run as daemon. EDIT The old one was installing in system services, it's now a user service and has to be enabled like this: systemctl --user enable pulseaudio-dlna https://gist.github.com/sim590/16b0aecb2f9ee2d21dc3 Also, the service seems to have trouble to start at boot (when enabling). It will fail at boot and if you restart the service, it starts fine.. So, the After= rule may not be quite good... Maybe you can fix it? OLD https://gist.github.com/de1edc168ec5c4a4e787

mrendres commented on 2016-01-05 22:23 (UTC)

From a fresh arch install I got the following error after installing the AUR: $ pulseaudio-dlna Traceback (most recent call last): File "/usr/bin/pulseaudio-dlna", line 5, in <module> from pkg_resources import load_entry_point ImportError: No module named pkg_resources Finally I recognized that the dependency "python2-pip" was missing. Maybe this package should also be included in the depends section of the PKGBUILD file.

hiberno commented on 2015-12-04 11:11 (UTC) (edited on 2015-12-04 11:16 (UTC) by hiberno)

In order to get my Chromecast Audio to work, I had to update to the latest version. This is the PKGBUILD diff: diff --git a/PKGBUILD b/PKGBUILD index 366a8cd..f0bef97 100644 --- a/PKGBUILD +++ b/PKGBUILD @@ -1,7 +1,7 @@ # Maintainer: Yegorius <yegorius@domic.us> pkgname=pulseaudio-dlna -pkgver=0.4.6 +pkgver=0.4.7 pkgrel=1 pkgdesc="A small DLNA server which brings DLNA/UPnP support to PulseAudio" arch=('i686' 'x86_64') @@ -10,7 +10,7 @@ license=('GPL3') depends=('python2-dbus' 'python2-beautifulsoup3' 'python2-docopt' 'python2-requests' 'python2-gobject2' 'python2-setproctitle' 'python2-protobuf' 'python2-notify2' 'python2-psutil' - 'python2-futures' 'python2-chardet') + 'python2-futures' 'python2-chardet' 'python2-netifaces') makedepends=('python2-setuptools') optdepends=('lame: MP3 transcoding support' 'faac: AAC transcoding support' @@ -19,7 +19,7 @@ optdepends=('lame: MP3 transcoding support' 'opus-tools: OPUS transcoding support' 'vorbis-tools: OGG transcoding support') source=("$pkgname-$pkgver.tar.gz::https://github.com/masmu/pulseaudio-dlna/archive/$pkgver.tar.gz") -sha256sums=('0ab745181f8594a8f4b6279a1633adda0240cb17ec03e86f04d9bc41049d0c5c') +sha256sums=('38a19ce9d28a9f0031bf10da753231c1fc7d6eba653b477ff98037777f71fe95') package() { cd "$srcdir/$pkgname-$pkgver"

chmd commented on 2015-10-20 22:31 (UTC)

Awesome, thank you!

chmd commented on 2015-10-17 09:06 (UTC)

Could you please update this package to latest upstream version 0.4.6? Thank you very much!

willemw commented on 2015-09-03 20:50 (UTC)

"--optimize" is what is recommended by the wiki. You also need to have (see wiki): arch=('any')

yegorius commented on 2015-09-03 11:25 (UTC)

@willemw Is it working as expected with "--optimize=1"?

willemw commented on 2015-08-16 12:34 (UTC)

Please use --optimize: python2 setup.py install --root="$pkgdir/" --optimize=1

Chrissss commented on 2015-08-10 11:54 (UTC)

Thanks for keeping up with the development. There's a new version... python2-psutil is a new dependency. # Maintainer: Yegorius <yegorius@domic.us> pkgname=pulseaudio-dlna pkgver=0.4.4 pkgrel=1 pkgdesc="A small DLNA server which brings DLNA/UPnP support to PulseAudio" arch=('i686' 'x86_64') url="https://github.com/masmu/pulseaudio-dlna" license=('GPL3') depends=('python2-dbus' 'python2-beautifulsoup3' 'python2-docopt' 'python2-requests' 'python2-gobject2' 'python2-setproctitle' 'python2-protobuf' 'python2-notify2' 'python2-psutil') makedepends=('python2-setuptools') optdepends=('lame: MP3 transcoding support' 'flac: FLAC transcoding support' 'opus: OPUS transcoding support' 'libogg: OGG transcoding support') source=("$pkgname-$pkgver.tar.gz::https://github.com/masmu/pulseaudio-dlna/archive/$pkgver.tar.gz") sha256sums=('5bb3357bbfd4f689c80f5e41d56bae54083e1b41c597f632b8469dc30cc474db') package() { cd "$srcdir/$pkgname-$pkgver" python2 setup.py install --no-compile --prefix="/usr" --root="$pkgdir" }

Rhinoceros commented on 2015-08-08 22:39 (UTC)

@Yegorius What you were looking at was a placeholder page. It's quite confusing, but it didn't contain a PKGBUILD, and was just a stub. https://bbs.archlinux.org/viewtopic.php?pid=1551365#p1551365 @skgsergio Thank you very much for doing that.

skgsergio commented on 2015-08-08 16:52 (UTC)

@Yegorius the package was orphan, the previous mantainer didn't migrated it to AUR4. I've adopted it (and the python3 version) so now pulseaudio-dlna compile fine.

yegorius commented on 2015-08-08 16:26 (UTC)

well, you have it here in AUR: https://aur.archlinux.org/packages/python2-notify2/

skydesigner commented on 2015-08-08 15:37 (UTC)

I got the same problem: python2-notify2 can not be installed, because it is not available.

Rhinoceros commented on 2015-08-08 13:08 (UTC)

It looks like python2-notify2 wasn't migrated, and so doesn't exist anymore (there is only a placeholder page). Hence, I can't build this package.

Chrissss commented on 2015-08-02 15:40 (UTC)

Here's a PKGBUILD which works for version 0.4.3... # Maintainer: Yegorius <yegorius@domic.us> pkgname=pulseaudio-dlna pkgver=0.4.3 pkgrel=1 pkgdesc="A small DLNA server which brings DLNA/UPnP support to PulseAudio" arch=('i686' 'x86_64') url="https://github.com/masmu/pulseaudio-dlna" license=('GPL3') depends=('python2-dbus' 'python2-beautifulsoup3' 'python2-docopt' 'python2-requests' 'python2-gobject2' 'python2-setproctitle' 'python2-protobuf' 'python2-notify2') makedepends=('python2-setuptools') optdepends=('lame: MP3 transcoding support' 'flac: FLAC transcoding support' 'opus: OPUS transcoding support' 'libogg: OGG transcoding support') source=("$pkgname-$pkgver.tar.gz::https://github.com/masmu/pulseaudio-dlna/archive/$pkgver.tar.gz") sha256sums=('c0b44273359094e4f1df3e3e7a4b67443f278dc5e27a58a2d529e0e78a71e508') package() { cd "$srcdir/$pkgname-$pkgver" python2 setup.py install --no-compile --prefix="/usr" --root="$pkgdir" }

Chrissss commented on 2015-08-01 11:21 (UTC)

Here a PKGBUILD which works for version 0.4.1 # Maintainer: Yegorius <yegorius@domic.us> pkgname=pulseaudio-dlna pkgver=0.4.1 pkgrel=2 pkgdesc="A small DLNA server which brings DLNA/UPnP support to PulseAudio" arch=('i686' 'x86_64') url="https://github.com/masmu/pulseaudio-dlna" license=('GPL3') depends=('python2-dbus' 'python2-beautifulsoup3' 'python2-docopt' 'python2-requests' 'python2-gobject2' 'python2-setproctitle' 'python2-protobuf' 'python2-notify2') makedepends=('python2-setuptools') optdepends=('lame: MP3 transcoding support' 'flac: FLAC transcoding support' 'opus: OPUS transcoding support' 'libogg: OGG transcoding support') source=("$pkgname-$pkgver.tar.gz::https://github.com/masmu/pulseaudio-dlna/archive/$pkgver.tar.gz") sha256sums=('6144ea7f4e16ed6e62a27a145876c063e748c7a528827ec5f3079dfaca24df6b') package() { cd "$srcdir/$pkgname-$pkgver" python2 setup.py install --no-compile --prefix="/usr" --root="$pkgdir" }

Chrissss commented on 2015-08-01 10:44 (UTC)

There's a new version which supports Chromecast. For this there's a new dependency: python-protobuf

coder-hugo commented on 2015-04-15 09:18 (UTC)

You are right, the license is a common one. It's not like the MIT where a year and a copyright holder is placed in the license file.

yegorius commented on 2015-04-13 08:55 (UTC)

Oh, it has to be python2-setuptools, not pip. The license is GPLv3, it's included in /usr/share/licenses/common/GPL3. (See archwiki:PKGBUILD#license section)

coder-hugo commented on 2015-04-12 13:18 (UTC)

Why python2-pip is defined as make dependency? I can execute the command 'python2 setup.py install --prefix=/usr --root="$pkgdir"' also without having python2-pip installed. Furthermore I think you should add this to the package method: install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE" to install also the license file of the project.